%define debug_package %{nil}

%define import_path github.com/russross/blackfriday
%define gopath %{_prefix}/lib/golang
%define gosrc %{gopath}/src/%{import_path}

Summary:	Markdown processor for Go
Name:		golang-blackfriday
Version:	1.2
Release:	%mkrel 6
License:	BSD
Group:		Development/Other
Url:		https://%{import_path}
Source0:        https://%{import_path}/archive/v%{version}.tar.gz
Provides:       golang(%{import_path}) = %{version}-%{release}

%package devel
BuildRequires:  golang >= 1.3.3
BuildRequires:	golang-net-devel
Requires:       golang >= 1.3.3
Summary:        Markdown processor for Go

%description
Blackfriday is a markdown processor for Go

%description devel
Blackfriday is a markdown processor for Go devel part

%prep
%setup -q -n blackfriday-%{version}

%build
go build

%install
mkdir -p %{buildroot}%{gosrc}
for d in . ; do
    install -d -p %{buildroot}/%{gosrc}/$d
    cp -av $d/*.go %{buildroot}/%{gosrc}/$d
done
rm -f %{buildroot}%{gosrc}/{README.md}

%files
%doc README.md

%files devel
%doc README.md
%{gosrc}/*.go


%changelog
* Thu Jun 02 2016 joequant <joequant> 1.2-6.mga6
+ Revision: 1019909
- move files to goroot

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + tv <tv>
    - disable debuginfo

* Fri Jan 23 2015 bcornec <bcornec> 1.2-3.mga5
+ Revision: 811979
- The BuildRequires for golang-net-devel shold be on the devel package

* Thu Jan 22 2015 bcornec <bcornec> 1.2-2.mga5
+ Revision: 811833
- Import the go blackfriday module to support go-md2man
- Created package structure for golang-blackfriday.

